# High Order Transformer
Implementation of efficient Higher-Order Transformers.

## Data
Timeseries data are already in the data/timeseries directory. MedMNIST datasets will also be downloaded in the data/medmnist directory upon running.

## Installing the requirements
```pip install -r requirments.txt```

## Running an Experiment on Timeseries
```python ts_main.py --name='weather' --pooling='flatten' --kernel=4 --hidden=128 --nhead=8 --nblocks=4 --dropout=0.1```

Names = [traffic, electricity, solar, exchange_rate, weather]
Poolings = [flatten, mean]

## Running an Experiment on MedMNIST3D
```python vi_main.py --name='adrenal' --pooling='mean' --patch_size=4 --hidden=128 --nhead=8 --nblocks=4 --dropout=0.1```

Names = [adrenal, vessel, synapse, nodule, organ, fracture]
Poolings = [flatten, mean]